<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<HTML>
    <HEAD>
        <TITLE>DC to Frame test</TITLE>
    </HEAD>

    <BODY>
        <H1 align="center">Unofficial DSO test </H1>

        <H2>Test Objectives</H2>
		<UL>
		<LI>Verify that ldas can accept an unofficial DSO, one that is not released with /lal/lib/lalwrapper.</LI>	
		</UL>
		
		<H2>APIs affected by this test</H2>
		<UL>
        <li>All APIs are exercised via a dataPipeline command.</li>
		</UL>
				
        <H2>Setup</H2>
        <ul>
        <li>ligotools package is required for running this test. Check that it is mounted</li><p>
        <li>Install the following tests script in a directory on your local machine or the ldas system
		<UL><p>
        <li><CODE><font color='blue'><a href='http://ldas-sw.ligo.caltech.edu/cgi-bin/cvsweb.cgi/ldas/api/test/System/loop/testdso.cmd?rev=HEAD;content-type=text%2Fplain'>testdso.cmd</a></font></li>
        <li><CODE><font color='blue'><a href='http://ldas-sw.ligo.caltech.edu/cgi-bin/cvsweb.cgi/ldas/api/test/System/onejob.tcl?rev=HEAD;content-type=text%2Fplain'>onejob.tcl</a></font></li>  
		</UL>
        </li><p>
        <li>S2 frame files must be mounted on ldas system and known to diskcacheAPI:<p>
        </ul>
        <H2>Test Execution</H2>

		<p>cd &lt;your scripts directory&gt;<p>
		
        <B>Usage:</B> <CODE>onejob.tcl [options] -f testdso.cmd</CODE>

        <P><TABLE border=1 cellspacing=0 cellpadding=10>
            <TR>
                <TH><B>Option</B>
                <TH><B>Description</B>
			<TR>
                <TD valign=top><CODE>&lt;-s&gt;</CODE>
                <TD>ldas site e.g. dev, lho, ldas-suntest3
        </TABLE><p>e.g.<pre><font color='brown'>
            onejob.tcl -s dev -f testdso.cmd &
        </font></pre>
		<p>
		<H2>Test Validation:</H2>
        
        Expect the dataPipeline to complete successfully:<p>
        e.g. <pre><font color='green'>
            LDAS-DEV32234754 (1.2.8)
            Subject: LDAS-DEV32234754 INSPIRAL DEMO Inserted 1 rows into table process Inserted 14 rows into table process_params
            Inserted 1 rows into table search_summary Inserted 4 rows into table search_summvars 
            Inserted 1 rows into table summ_value Inserted 21 rows into ldas_tst database, took 0.110514 secs.
        </font></pre>
    </BODY>
</HTML>

